Package org.drinkless.tdlib

# Class TdApi.SetChatBackground

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SetChatBackground

Enclosing class:
  `TdApi`

public static class TdApi.SetChatBackground extends TdApi.Function<TdApi.Ok>
Sets the background in a specific chat. Supported only in private and secret chats with non-deleted users, and in chats with sufficient boost level and canChangeInfo administrator right.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.InputBackground`
  `background`
  The input background to use; pass null to create a new filled or chat theme background.
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `darkThemeDimming`
  Dimming of the background in dark themes, as a percentage; 0-100.
  `boolean`
  `onlyForSelf`
  Pass true to set background only for self; pass false to set background for all chat users.
  `TdApi.BackgroundType`
  `type`
  Background type; pass null to use default background type for the chosen background; backgroundTypeChatTheme isn't supported for private and secret chats.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetChatBackground()`
  Default constructor for a function, which sets the background in a specific chat.
  `SetChatBackground(long chatId, TdApi.InputBackground background, TdApi.BackgroundType type, int darkThemeDimming, boolean onlyForSelf)`
  Creates a function, which sets the background in a specific chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### background

    public TdApi.InputBackground background
    The input background to use; pass null to create a new filled or chat theme background.

  - ### type

    public TdApi.BackgroundType type
    Background type; pass null to use default background type for the chosen background; backgroundTypeChatTheme isn't supported for private and secret chats. Use chatBoostLevelFeatures.chatThemeBackgroundCount and chatBoostLevelFeatures.canSetCustomBackground to check whether the background type can be set in the boosted chat.

  - ### darkThemeDimming

    public int darkThemeDimming
    Dimming of the background in dark themes, as a percentage; 0-100. Applied only to Wallpaper and Fill types of background.

  - ### onlyForSelf

    public boolean onlyForSelf
    Pass true to set background only for self; pass false to set background for all chat users. Always false for backgrounds set in boosted chats. Background can be set for both users only by Telegram Premium users and if set background isn't of the type inputBackgroundPrevious.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetChatBackground

    public SetChatBackground()
    Default constructor for a function, which sets the background in a specific chat. Supported only in private and secret chats with non-deleted users, and in chats with sufficient boost level and canChangeInfo administrator right.

    Returns `Ok`

  - ### SetChatBackground

    public SetChatBackground(long chatId, TdApi.InputBackground background, TdApi.BackgroundType type, int darkThemeDimming, boolean onlyForSelf)
    Creates a function, which sets the background in a specific chat. Supported only in private and secret chats with non-deleted users, and in chats with sufficient boost level and canChangeInfo administrator right.

    Returns `Ok`

    Parameters:
      `chatId` - Chat identifier.
      `background` - The input background to use; pass null to create a new filled or chat theme background.
      `type` - Background type; pass null to use default background type for the chosen background; backgroundTypeChatTheme isn't supported for private and secret chats. Use chatBoostLevelFeatures.chatThemeBackgroundCount and chatBoostLevelFeatures.canSetCustomBackground to check whether the background type can be set in the boosted chat.
      `darkThemeDimming` - Dimming of the background in dark themes, as a percentage; 0-100. Applied only to Wallpaper and Fill types of background.
      `onlyForSelf` - Pass true to set background only for self; pass false to set background for all chat users. Always false for backgrounds set in boosted chats. Background can be set for both users only by Telegram Premium users and if set background isn't of the type inputBackgroundPrevious.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR